module Devision
  module VERSION

    def self.gem_version
      @gem_version ||= Gem::Version.new(STRING)
    end

    MAJOR = 0
    MINOR = 0
    PATCH = 4
    PRE   = 2

    STRING = [MAJOR, MINOR, PATCH, PRE].compact.join('.').freeze
  end

  def self.gem_version
    VERSION.gem_version
  end

  def self.version
    VERSION::STRING
  end
end
